Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network57.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
57.0.0.0
Broadcast address
57.255.255.255
First usable
57.0.0.1
Last usable
57.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 39000000 · Integer 956301312 to 973078527
Reverse DNS zone
57.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111001..00000000.00000000.0000000057.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00111001..00000000.00000000.0000000057.0.0.0
Broadcast00111001..11111111.11111111.1111111157.255.255.255
Split into smaller subnets/15

57.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
157.0.0.0/1557.0.0.1 to 57.1.255.25457.1.255.255131,070
257.2.0.0/1557.2.0.1 to 57.3.255.25457.3.255.255131,070
357.4.0.0/1557.4.0.1 to 57.5.255.25457.5.255.255131,070
457.6.0.0/1557.6.0.1 to 57.7.255.25457.7.255.255131,070
557.8.0.0/1557.8.0.1 to 57.9.255.25457.9.255.255131,070
657.10.0.0/1557.10.0.1 to 57.11.255.25457.11.255.255131,070
757.12.0.0/1557.12.0.1 to 57.13.255.25457.13.255.255131,070
857.14.0.0/1557.14.0.1 to 57.15.255.25457.15.255.255131,070
957.16.0.0/1557.16.0.1 to 57.17.255.25457.17.255.255131,070
1057.18.0.0/1557.18.0.1 to 57.19.255.25457.19.255.255131,070
1157.20.0.0/1557.20.0.1 to 57.21.255.25457.21.255.255131,070
1257.22.0.0/1557.22.0.1 to 57.23.255.25457.23.255.255131,070
1357.24.0.0/1557.24.0.1 to 57.25.255.25457.25.255.255131,070
1457.26.0.0/1557.26.0.1 to 57.27.255.25457.27.255.255131,070
1557.28.0.0/1557.28.0.1 to 57.29.255.25457.29.255.255131,070
1657.30.0.0/1557.30.0.1 to 57.31.255.25457.31.255.255131,070
1757.32.0.0/1557.32.0.1 to 57.33.255.25457.33.255.255131,070
1857.34.0.0/1557.34.0.1 to 57.35.255.25457.35.255.255131,070
1957.36.0.0/1557.36.0.1 to 57.37.255.25457.37.255.255131,070
2057.38.0.0/1557.38.0.1 to 57.39.255.25457.39.255.255131,070
2157.40.0.0/1557.40.0.1 to 57.41.255.25457.41.255.255131,070
2257.42.0.0/1557.42.0.1 to 57.43.255.25457.43.255.255131,070
2357.44.0.0/1557.44.0.1 to 57.45.255.25457.45.255.255131,070
2457.46.0.0/1557.46.0.1 to 57.47.255.25457.47.255.255131,070
2557.48.0.0/1557.48.0.1 to 57.49.255.25457.49.255.255131,070
2657.50.0.0/1557.50.0.1 to 57.51.255.25457.51.255.255131,070
2757.52.0.0/1557.52.0.1 to 57.53.255.25457.53.255.255131,070
2857.54.0.0/1557.54.0.1 to 57.55.255.25457.55.255.255131,070
2957.56.0.0/1557.56.0.1 to 57.57.255.25457.57.255.255131,070
3057.58.0.0/1557.58.0.1 to 57.59.255.25457.59.255.255131,070
3157.60.0.0/1557.60.0.1 to 57.61.255.25457.61.255.255131,070
3257.62.0.0/1557.62.0.1 to 57.63.255.25457.63.255.255131,070
3357.64.0.0/1557.64.0.1 to 57.65.255.25457.65.255.255131,070
3457.66.0.0/1557.66.0.1 to 57.67.255.25457.67.255.255131,070
3557.68.0.0/1557.68.0.1 to 57.69.255.25457.69.255.255131,070
3657.70.0.0/1557.70.0.1 to 57.71.255.25457.71.255.255131,070
3757.72.0.0/1557.72.0.1 to 57.73.255.25457.73.255.255131,070
3857.74.0.0/1557.74.0.1 to 57.75.255.25457.75.255.255131,070
3957.76.0.0/1557.76.0.1 to 57.77.255.25457.77.255.255131,070
4057.78.0.0/1557.78.0.1 to 57.79.255.25457.79.255.255131,070
4157.80.0.0/1557.80.0.1 to 57.81.255.25457.81.255.255131,070
4257.82.0.0/1557.82.0.1 to 57.83.255.25457.83.255.255131,070
4357.84.0.0/1557.84.0.1 to 57.85.255.25457.85.255.255131,070
4457.86.0.0/1557.86.0.1 to 57.87.255.25457.87.255.255131,070
4557.88.0.0/1557.88.0.1 to 57.89.255.25457.89.255.255131,070
4657.90.0.0/1557.90.0.1 to 57.91.255.25457.91.255.255131,070
4757.92.0.0/1557.92.0.1 to 57.93.255.25457.93.255.255131,070
4857.94.0.0/1557.94.0.1 to 57.95.255.25457.95.255.255131,070
4957.96.0.0/1557.96.0.1 to 57.97.255.25457.97.255.255131,070
5057.98.0.0/1557.98.0.1 to 57.99.255.25457.99.255.255131,070
5157.100.0.0/1557.100.0.1 to 57.101.255.25457.101.255.255131,070
5257.102.0.0/1557.102.0.1 to 57.103.255.25457.103.255.255131,070
5357.104.0.0/1557.104.0.1 to 57.105.255.25457.105.255.255131,070
5457.106.0.0/1557.106.0.1 to 57.107.255.25457.107.255.255131,070
5557.108.0.0/1557.108.0.1 to 57.109.255.25457.109.255.255131,070
5657.110.0.0/1557.110.0.1 to 57.111.255.25457.111.255.255131,070
5757.112.0.0/1557.112.0.1 to 57.113.255.25457.113.255.255131,070
5857.114.0.0/1557.114.0.1 to 57.115.255.25457.115.255.255131,070
5957.116.0.0/1557.116.0.1 to 57.117.255.25457.117.255.255131,070
6057.118.0.0/1557.118.0.1 to 57.119.255.25457.119.255.255131,070
6157.120.0.0/1557.120.0.1 to 57.121.255.25457.121.255.255131,070
6257.122.0.0/1557.122.0.1 to 57.123.255.25457.123.255.255131,070
6357.124.0.0/1557.124.0.1 to 57.125.255.25457.125.255.255131,070
6457.126.0.0/1557.126.0.1 to 57.127.255.25457.127.255.255131,070
6557.128.0.0/1557.128.0.1 to 57.129.255.25457.129.255.255131,070
6657.130.0.0/1557.130.0.1 to 57.131.255.25457.131.255.255131,070
6757.132.0.0/1557.132.0.1 to 57.133.255.25457.133.255.255131,070
6857.134.0.0/1557.134.0.1 to 57.135.255.25457.135.255.255131,070
6957.136.0.0/1557.136.0.1 to 57.137.255.25457.137.255.255131,070
7057.138.0.0/1557.138.0.1 to 57.139.255.25457.139.255.255131,070
7157.140.0.0/1557.140.0.1 to 57.141.255.25457.141.255.255131,070
7257.142.0.0/1557.142.0.1 to 57.143.255.25457.143.255.255131,070
7357.144.0.0/1557.144.0.1 to 57.145.255.25457.145.255.255131,070
7457.146.0.0/1557.146.0.1 to 57.147.255.25457.147.255.255131,070
7557.148.0.0/1557.148.0.1 to 57.149.255.25457.149.255.255131,070
7657.150.0.0/1557.150.0.1 to 57.151.255.25457.151.255.255131,070
7757.152.0.0/1557.152.0.1 to 57.153.255.25457.153.255.255131,070
7857.154.0.0/1557.154.0.1 to 57.155.255.25457.155.255.255131,070
7957.156.0.0/1557.156.0.1 to 57.157.255.25457.157.255.255131,070
8057.158.0.0/1557.158.0.1 to 57.159.255.25457.159.255.255131,070
8157.160.0.0/1557.160.0.1 to 57.161.255.25457.161.255.255131,070
8257.162.0.0/1557.162.0.1 to 57.163.255.25457.163.255.255131,070
8357.164.0.0/1557.164.0.1 to 57.165.255.25457.165.255.255131,070
8457.166.0.0/1557.166.0.1 to 57.167.255.25457.167.255.255131,070
8557.168.0.0/1557.168.0.1 to 57.169.255.25457.169.255.255131,070
8657.170.0.0/1557.170.0.1 to 57.171.255.25457.171.255.255131,070
8757.172.0.0/1557.172.0.1 to 57.173.255.25457.173.255.255131,070
8857.174.0.0/1557.174.0.1 to 57.175.255.25457.175.255.255131,070
8957.176.0.0/1557.176.0.1 to 57.177.255.25457.177.255.255131,070
9057.178.0.0/1557.178.0.1 to 57.179.255.25457.179.255.255131,070
9157.180.0.0/1557.180.0.1 to 57.181.255.25457.181.255.255131,070
9257.182.0.0/1557.182.0.1 to 57.183.255.25457.183.255.255131,070
9357.184.0.0/1557.184.0.1 to 57.185.255.25457.185.255.255131,070
9457.186.0.0/1557.186.0.1 to 57.187.255.25457.187.255.255131,070
9557.188.0.0/1557.188.0.1 to 57.189.255.25457.189.255.255131,070
9657.190.0.0/1557.190.0.1 to 57.191.255.25457.191.255.255131,070
9757.192.0.0/1557.192.0.1 to 57.193.255.25457.193.255.255131,070
9857.194.0.0/1557.194.0.1 to 57.195.255.25457.195.255.255131,070
9957.196.0.0/1557.196.0.1 to 57.197.255.25457.197.255.255131,070
10057.198.0.0/1557.198.0.1 to 57.199.255.25457.199.255.255131,070
10157.200.0.0/1557.200.0.1 to 57.201.255.25457.201.255.255131,070
10257.202.0.0/1557.202.0.1 to 57.203.255.25457.203.255.255131,070
10357.204.0.0/1557.204.0.1 to 57.205.255.25457.205.255.255131,070
10457.206.0.0/1557.206.0.1 to 57.207.255.25457.207.255.255131,070
10557.208.0.0/1557.208.0.1 to 57.209.255.25457.209.255.255131,070
10657.210.0.0/1557.210.0.1 to 57.211.255.25457.211.255.255131,070
10757.212.0.0/1557.212.0.1 to 57.213.255.25457.213.255.255131,070
10857.214.0.0/1557.214.0.1 to 57.215.255.25457.215.255.255131,070
10957.216.0.0/1557.216.0.1 to 57.217.255.25457.217.255.255131,070
11057.218.0.0/1557.218.0.1 to 57.219.255.25457.219.255.255131,070
11157.220.0.0/1557.220.0.1 to 57.221.255.25457.221.255.255131,070
11257.222.0.0/1557.222.0.1 to 57.223.255.25457.223.255.255131,070
11357.224.0.0/1557.224.0.1 to 57.225.255.25457.225.255.255131,070
11457.226.0.0/1557.226.0.1 to 57.227.255.25457.227.255.255131,070
11557.228.0.0/1557.228.0.1 to 57.229.255.25457.229.255.255131,070
11657.230.0.0/1557.230.0.1 to 57.231.255.25457.231.255.255131,070
11757.232.0.0/1557.232.0.1 to 57.233.255.25457.233.255.255131,070
11857.234.0.0/1557.234.0.1 to 57.235.255.25457.235.255.255131,070
11957.236.0.0/1557.236.0.1 to 57.237.255.25457.237.255.255131,070
12057.238.0.0/1557.238.0.1 to 57.239.255.25457.239.255.255131,070
12157.240.0.0/1557.240.0.1 to 57.241.255.25457.241.255.255131,070
12257.242.0.0/1557.242.0.1 to 57.243.255.25457.243.255.255131,070
12357.244.0.0/1557.244.0.1 to 57.245.255.25457.245.255.255131,070
12457.246.0.0/1557.246.0.1 to 57.247.255.25457.247.255.255131,070
12557.248.0.0/1557.248.0.1 to 57.249.255.25457.249.255.255131,070
12657.250.0.0/1557.250.0.1 to 57.251.255.25457.251.255.255131,070
12757.252.0.0/1557.252.0.1 to 57.253.255.25457.253.255.255131,070
12857.254.0.0/1557.254.0.1 to 57.255.255.25457.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses